Workflows
Get Workflow Task Results
Get task outputs and parsed results for a workflow.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key with:
Authorization: Bearer <YOUR_API_KEY>
In: header
Path Parameters
workflow_id*string
Workflow ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://api.fastfold.ai/v1/workflows/task-results/"{
"tasksResults": [
{
"task_id": "9e96cfe4-df9b-46cd-9ad4-93ed413f2fbe",
"task_type": "input_design_spec_boltzgen_v1",
"node_id": "065aa1da-274d-44a9-b090-cd89f9dc130f",
"order_index": 1,
"output_library_items": [],
"parsed_results": null
},
{
"task_id": "3b13e529-5f60-42c1-b5fc-cf2354e72e9e",
"task_type": "pipeline_run_boltzgen_v1",
"node_id": "4fdbfd17-ef2a-4d11-aacb-6f82a11668fa",
"order_index": 2,
"output_library_items": [
{
"libraryItemId": "d451f2d3-0ee5-4a69-9494-df427fd6a56b",
"fileName": "6e388b8f9bca4c4ca0c22ffbf6a327ec_rank1_model.cif"
}
],
"parsed_results": [
{
"id": 1,
"final_rank": 1,
"designed_sequence": "ACDEFGHIKLMNPQRSTVWY",
"num_design": 1,
"quality_score": 0.91,
"file": {
"libraryItemId": "d451f2d3-0ee5-4a69-9494-df427fd6a56b",
"fileName": "6e388b8f9bca4c4ca0c22ffbf6a327ec_rank1_model.cif"
}
}
]
}
]
}{
"message": "Workflow not found"
}{
"message": "Workflow not found"
}Last updated on